# Interface VisibleIfcProductAndMesh

Represents a visible BimProductAndMesh.

interface VisibleIfcProductAndMesh {
ifc: BimProductAndMesh;
mesh: Mesh;
type: IfcProductAndMesh;
}

#### Hierarchy

- Omit<VisibleMesh, "type">
  - VisibleIfcProductAndMesh

##### Index

### Properties

ifc
mesh
type

## Properties

### ifc

ifc: BimProductAndMesh

Exact BimIfcObject and corresponding BimProductMesh which is visible Only available if the visible object actually is a IFC object.

### `Readonly` mesh

mesh: Mesh

The Mesh which is visible. (May contain ifc objects nor not)

Inherited from Omit.mesh

### type

type: IfcProductAndMesh

Discriminant union selector.